<Project Sdk="Microsoft.NET.Sdk.Razor">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<IsAotCompatible>True</IsAotCompatible>
		<RunAOTCompilation>true</RunAOTCompilation>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<IsAotCompatible>True</IsAotCompatible>
		<RunAOTCompilation>true</RunAOTCompilation>
	</PropertyGroup>

	<ItemGroup>
		<SupportedPlatform Include="browser" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper" Version="14.0.0" />
		<PackageReference Include="CodeBeam.MudBlazor.Extensions" Version="8.2.4" />
		<PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.0" />
		<PackageReference Include="IntegryApiClient.Core" Version="1.2.2" />
		<PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="9.0.10" />
		<PackageReference Include="Microsoft.Maui.Essentials" Version="9.0.120" />
		<PackageReference Include="SourceGear.sqlite3" Version="3.50.4.2" />
		<PackageReference Include="sqlite-net-e" Version="1.10.0-beta2" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.14.0" />
		<PackageReference Include="Microsoft.AspNetCore.Components.Web" Version="9.0.10" />
		<PackageReference Include="MudBlazor" Version="8.13.0" />
		<PackageReference Include="MudBlazor.ThemeManager" Version="3.0.0" />
	</ItemGroup>

	<ItemGroup>
		<Folder Include="wwwroot\css\lineicons\" />
		<Folder Include="wwwroot\js\bootstrap\" />
	</ItemGroup>

	<ItemGroup>
	  <Reference Include="Mono.Android">
	    <HintPath>..\..\..\..\Program Files\dotnet\packs\Microsoft.Android.Ref.35\35.0.78\ref\net9.0\Mono.Android.dll</HintPath>
	  </Reference>
	</ItemGroup>

</Project>